module.exports = {
    title: "数字化交付参考文档",
    description: "上格云数字化交付参考文档",
    base: "/docs/",
    // plugins: ["@vuepress/last-updated"],
    plugins: ['@vuepress/back-to-top'],
    markdown: {
        lineNumbers: true
    },
    themeConfig: {
        logo: "/assets/img/logo.png",
        nav: [
            {text: "首页", link: "/"},
            {text: "安装部署", link: "/deploy/"},
            {
                text: "开发文档",
                items: [
                    {
                        text: "后台开发",
                        items: [
                            {text: "数据中心", link: "/datacenter/"},
                            {text: "模型管理", link: "/module/"}
                        ]
                    },
                    {
                        text: "Revit二开",
                        items: [
                            {text: "服务端Revit", link: "/revit/datacenter/"},
                            {text: "Revit插件", link: "/revit/module/"}
                        ]
                    },
                    {
                        text: "Web开发",
                        items: [
                            { text: "Sybotan Graphy 引擎", link: "http://docs.sybotan.com:88/api/web/graphy/" }
                        ]
                    },
                    {
                        text: "移动端开发",
                        items: [
                            { text: "Sybotan Graphy 引擎", link: "http://docs.sybotan.com:88/api/web/graphy/" }
                        ]
                    }
                ]
            },
            {
                text: "API参考",
                items: [
                    {
                        text: "后台开发",
                        items: [
                            { text: "Sybotan Graphy 引擎", link: "http://docs.sybotan.com:88/api/web/graphy/" }
                        ]
                    },
                    {
                        text: "Web开发",
                        items: [
                            { text: "Sybotan Graphy 引擎", link: "http://docs.sybotan.com:88/api/web/graphy/" }
                        ]
                    },
                    {
                        text: "移动端开发",
                        items: [
                            { text: "Sybotan Graphy 引擎", link: "http://docs.sybotan.com:88/api/web/graphy/" }
                        ]
                    }
                ]
            },
            {text: "编码风格", link: "/style/"}
        ],
        displayAllHeaders: true,
        sidebarDepth: 2,
        sidebar: {
            "/deploy/": [
                ["/deploy/", "安装部署"],
                {
                    title: "基于 CentOS 安装",
                    path: "/deploy/centos/",
                    children: [
                        {
                            title: "操作系统",
                            path: "/deploy/centos/os/",
                            children: [
                                ["/deploy/centos/os/install", "安装系统"],
                                ["/deploy/centos/os/config", "配置系统"],
                                ["/deploy/centos/os/cmd", "常用命令"]
                            ]
                        },
                        {
                            title: "基础服务",
                            path: "/deploy/centos/server/",
                            children: [
                                ["/deploy/centos/server/nginx", "Nginx"],
                                ["/deploy/centos/server/jdk", "JDK"],
                                ["/deploy/centos/server/tomcat", "Tomcat"],
                                ["/deploy/centos/server/python", "Python"],
                                ["/deploy/centos/server/postgresql", "PostgreSQL"],
                            ]
                        },
                        {
                            title: "应用服务",
                            path: "/deploy/centos/app-server/",
                            children: [
                                // ["/deploy/centos/app-server/datacenter", "数据中心"],
                                // ["/deploy/centos/app-server/pointconfig", "点位配置"],
                                // ["/deploy/centos/app-server/ibms", "慧运营后台"],
                                // ["/deploy/centos/app-server/scanbuilding", "扫楼后台"]
                            ]
                        }
                    ]
                },
                {
                    title: "基于 Windows 安装",
                    path: "/deploy/windows/",
                    children: []
                }
            ]
        }
    }
};